Returns the text snippet generator for highlighted text

- « SolrQuery::getHighlightFormatter

- SolrQuery::getHighlightFragsize »

- PHP Manual
- SolrQuery
- Returns the text snippet generator for highlighted text

# SolrQuery::getHighlightFragmenter

(PECL solr >= 0.9.2)

SolrQuery::getHighlightFragmenter — Returns the text snippet generator for highlighted text

### Description

public SolrQuery::getHighlightFragmenter(string `$field_override` = ?): string

Returns the text snippet generator for highlighted text. Accepts an optional field override.

### Parameters

`field_override`

  The name of the field

### Return Values

Returns a string on success and `null` if not set.